Bug 559954 - Spamassassin should restart spampd after sa-update
Summary: Spamassassin should restart spampd after sa-update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-29 13:20 UTC by Simon Matter
Modified: 2011-03-03 03:05 UTC (History)
3 users (show)

Fixed In Version: spamassassin-3.3.2-0.5.svn1071394.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-01 04:21:56 UTC


Attachments (Terms of Use)
Patch to handle spampd (670 bytes, patch)
2010-01-29 13:20 UTC, Simon Matter
no flags Details | Diff

Description Simon Matter 2010-01-29 13:20:50 UTC
Created attachment 387559 [details]
Patch to handle spampd

Description of problem:
Spamassassin does not restart spampd after the cron sa-update script has been run.

Version-Release number of selected component (if applicable):
spamassassin-3.3.0-5.fc12

How reproducible:
start spampd and wait until sa-update should run

Steps to Reproduce:
1. service spampd start
2.
3.
  
Actual results:
Spampd is not detected to run and not restarted

Expected results:
Spampd should trigger sa-update and after the update spampd should be restarted

Additional info:
The Fedora spampd package doesn't write a pidfile which means it should also be fixed to do so. (Our Invoca spampd package does it which is why I made the patch like this)

Comment 1 Bug Zapper 2010-03-15 14:17:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Nick Bebout 2011-02-16 20:34:38 UTC
Fixed in git, I'll build it in the next day or two (or perhaps tonight).  I have a couple more patches to apply for other bugs first.

Please file a separate bug against spampd for getting it to make a pidfile.

Comment 3 Fedora Update System 2011-02-17 02:05:55 UTC
spamassassin-3.3.2-0.5.svn1071394.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/spamassassin-3.3.2-0.5.svn1071394.fc13

Comment 4 Fedora Update System 2011-02-17 02:06:07 UTC
spamassassin-3.3.2-0.5.svn1071394.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/spamassassin-3.3.2-0.5.svn1071394.fc15

Comment 5 Fedora Update System 2011-02-17 02:06:18 UTC
spamassassin-3.3.2-0.5.svn1071394.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spamassassin-3.3.2-0.5.svn1071394.fc14

Comment 6 Fedora Update System 2011-02-17 22:25:31 UTC
spamassassin-3.3.2-0.5.svn1071394.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spamassassin'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/spamassassin-3.3.2-0.5.svn1071394.fc15

Comment 7 Fedora Update System 2011-03-01 04:21:45 UTC
spamassassin-3.3.2-0.5.svn1071394.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-01 04:23:52 UTC
spamassassin-3.3.2-0.5.svn1071394.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-03 03:04:42 UTC
spamassassin-3.3.2-0.5.svn1071394.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.